## org.eclipse.jst.jsf.common.metadata.query
Interface IEntityVisitor

All Superinterfaces:
  IMetaDataVisitor

All Known Subinterfaces:
  IEntityQueryVisitor

All Known Implementing Classes:
  AbstractEntityQueryVisitor, AbstractEntityVisitor

    public interface IEntityVisitor

extends IMetaDataVisitor

Visitor interface for Entities

NOT to implemented by clients directly. Clients should subclass AbstractEntityVisitor instead.

Provisional API - subject to change

Method Summary
`void` `visit(Entity entity)` Visit the entity.
`void` `visitCompleted(Entity entity)` Signal that the entity and all it's children is now completely 'visited'.

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Method Detail

### visit

    void visit(Entity entity)

  Visit the entity. The entity and then it's children are visited

  Parameters:
    `entity` - - must not be NULL

### visitCompleted

    void visitCompleted(Entity entity)

  Signal that the entity and all it's children is now completely 'visited'. The entity will call this method at the end of the accept method.

  Parameters:
    `entity` - - must not be NULL